import type { Props } from '../type';
declare const _default: import("vue").DefineComponent<Props, {
    senderVal: (val: any) => void;
    outSendMsg: () => void;
    showFn: () => void;
    hideFn: () => void;
    playAudioFn: () => void;
    pauseAudio: () => void;
    stopMsg: () => void;
    openNewChat: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    toApp: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onToApp?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default _default;
